      program     tcmplx

      implicit    none

      real*8      pi,   h,    x

      integer     i

      pi = 4.0d0 * atan(1.0d0)
      h = 1.0d0 / 128.0d0
      do i = 1 , 129
         x = (i - 1) * h
         write(*,1000) dcmplx(sin(x)*pi,0.0d0)
         write(*,1000) sin(x) * pi
1000     format(1p,2E26.16,0p)
      end do
      
      stop
      end
